%     FASTENER DOCTOR - программа для лечения и конвертации крепежа
%     Copyright (C) 2018  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function Pset_ID = Get_PSet_ID_From_Name(Pset_Name)

global ErrCode;

global DB_PSETS;

Pset_ID = [];

if (isempty(DB_PSETS))
    fprintf (1, '\nОшибка функции Get_PSet_ID_From_Name: база DB_PSETS пуста !\n');
    ErrCode = -1;
    return;
end

Find_flag = 0;

for i=1:size(DB_PSETS,1)
    
    if (DB_PSETS{i}.ID ~= -1)
        
        if (strcmp(DB_PSETS{i}.Patran_name, Pset_Name))
            
            Find_flag = 1;
            break;
            
        end
        
    end
    
end

if (Find_flag == 1)
    Pset_ID = DB_PSETS{i}.ID;
else
    fprintf (1, '\nОшибка функции Get_PSet_ID_From_Name: property set с именем %s отсутствует в базе !\n', Pset_Name);
    ErrCode = -1;
    return;
end
